# eric4.E4Gui.E4ToolBox

Module implementing a horizontal and a vertical toolbox class.

### Global Attributes

None

### Classes

E4HorizontalToolBox | Class implementing a vertical QToolBox like widget.
E4VerticalToolBox | Class implementing a ToolBox class substituting QToolBox to support wheel events.

### Functions

None

## E4HorizontalToolBox

Class implementing a vertical QToolBox like widget.

### Derived from

E4TabWidget

### Class Attributes

None

### Methods

E4HorizontalToolBox | Constructor
addItem | Public method to add a widget to the toolbox.
insertItem | Public method to add a widget to the toolbox.
setItemEnabled | Public method to set the enabled state of an item.
setItemToolTip | Public method to set the tooltip of an item.

#### E4HorizontalToolBox (Constructor)

E4HorizontalToolBox(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

#### E4HorizontalToolBox.addItem

addItem(widget, icon, text)

Public method to add a widget to the toolbox.

widget
  reference to the widget to be added (QWidget)
icon
  the icon to be shown (QIcon)
text
  the text to be shown (QString)

Returns:
  index of the added widget (integer)

#### E4HorizontalToolBox.insertItem

insertItem(index, widget, icon, text)

Public method to add a widget to the toolbox.

index
  position at which the widget should be inserted (integer)
widget
  reference to the widget to be added (QWidget)
icon
  the icon to be shown (QIcon)
text
  the text to be shown (QString)

Returns:
  index of the added widget (integer)

#### E4HorizontalToolBox.setItemEnabled

setItemEnabled(index, enabled)

Public method to set the enabled state of an item.

index
  index of the item (integer)
enabled
  flag indicating the enabled state (boolean)

#### E4HorizontalToolBox.setItemToolTip

setItemToolTip(index, toolTip)

Public method to set the tooltip of an item.

index
  index of the item (integer)
toolTip
  tooltip text to be set (QString)

Up

## E4VerticalToolBox

Class implementing a ToolBox class substituting QToolBox to support wheel events.

### Derived from

QToolBox

### Class Attributes

None

### Methods

E4VerticalToolBox | Constructor
wheelEvent | Protected slot to support wheel events.

#### E4VerticalToolBox (Constructor)

E4VerticalToolBox(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

#### E4VerticalToolBox.wheelEvent

wheelEvent(event)

Protected slot to support wheel events.

reference
  to the wheel event (QWheelEvent)

Up